{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/mass_operation/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/mass_operation/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% set personOverviewPaginationParameter = fetch_object_from_session('App\\PaginationParameter', 'personOverview') %}
        {% if personOverviewPaginationParameter != null  %}
            {% set personOverviewPath = path('person_management_person_overview', personOverviewPaginationParameter.toUrlParameters()) %}
        {% else %}
            {% set personOverviewPath = path('person_management_person_overview') %}
        {% endif %}
        <a href="{{ personOverviewPath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kontakte löschen <span class="text-secondary">({{ persons|length }})</span></span>
        {{ form_widget(personMassOperationDeleteForm.delete, {'label': 'LÖSCHEN', 'id': personMassOperationDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto delete-button align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Die Kontakte und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um die ausgewählten Kontakte endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">kontakte_{{ persons|length }}</span>
            </p>
            {{ form_start(personMassOperationDeleteForm, {'attr': {'id': personMassOperationDeleteForm.vars.id ~ '_form', 'autocomplete': 'off'}}) }}
            {{ form_row(personMassOperationDeleteForm.verificationCode) }}
            {{ form_row(personMassOperationDeleteForm.selectedRowIds) }}
            {{ form_row(personMassOperationDeleteForm._token) }}
            {{ form_end(personMassOperationDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            {% include 'person_management/component/person/person_list_component.html.twig' with {
                'idPrefix': 'person_',
                'listItems': persons,
                'showActionButton': false,
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
